#!/usr/bin/env python
import sys, os, glob, traceback
sys.path.append('/usr/share/inkscape/extensions')
sys.path.append(r'c:/Program Files/Inkscape/share/extensions')
sys.path.append(os.path.dirname(__file__))

import inkex, string, re

class SVGFix(inkex.Effect):
  def __init__(self):
    inkex.Effect.__init__(self)

  def effect(self):
    if len(self.selected)==0:
      self.getAttribs(self.document.getroot())
    else:
      for id,node in self.selected.iteritems():
        self.getAttribs(node)
        
  def getAttribs(self,node):
    self.changeStyle(node)
    for child in node:
      self.getAttribs(child)
  
  def changeStyle(self,node):
    if node.attrib.has_key('style'):
      style=node.get('style') # fixme: this will break for presentation attributes!
      if style!='':
        #inkex.debug('old style:'+style)
        node.set('style',re.sub("(color:)(.*?)(;\s* stroke:)currentColor", r'\1\2\3\2', style))

c = SVGFix()
c.affect()
